package com.ruoyi.system.mapper.grid;

import com.ruoyi.system.domain.grid.GridCompanySafeCheck;
import com.ruoyi.system.domain.grid.GridCompanySafeCheckExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface GridCompanySafeCheckMapper {
    long countByExample(GridCompanySafeCheckExample example);

    int deleteByExample(GridCompanySafeCheckExample example);

    int deleteByPrimaryKey(String id);

    int insert(GridCompanySafeCheck record);

    int insertSelective(GridCompanySafeCheck record);

    List<GridCompanySafeCheck> selectByExampleWithBLOBs(GridCompanySafeCheckExample example);

    List<GridCompanySafeCheck> selectByExample(GridCompanySafeCheckExample example);

    GridCompanySafeCheck selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") GridCompanySafeCheck record, @Param("example") GridCompanySafeCheckExample example);

    int updateByExampleWithBLOBs(@Param("record") GridCompanySafeCheck record, @Param("example") GridCompanySafeCheckExample example);

    int updateByExample(@Param("record") GridCompanySafeCheck record, @Param("example") GridCompanySafeCheckExample example);

    int updateByPrimaryKeySelective(GridCompanySafeCheck record);

    int updateByPrimaryKeyWithBLOBs(GridCompanySafeCheck record);

    int updateByPrimaryKey(GridCompanySafeCheck record);
}